日本語 NetBeans 7.0 を公開しました

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
21 messages Options
12
Reply | Threaded
Open this post in threaded view
|

日本語 NetBeans 7.0 を公開しました

katakai
みなさま、

NetBeans 7.0 が正式にリリースされました。日本語版も同時リリースです。

ダウンロード
 http://netbeans.org/downloads/index.html

詳細は以下のリリース情報をご覧下さい。

NetBeans IDE 7.0 リリース情報
 http://netbeans.org/community/releases/70/index_ja.html

NetBeans IDE 7.0のインストール
 http://netbeans.org/community/releases/70/install_ja.html

NetBeans IDE 7.0 リリースノート
 http://netbeans.org/community/releases/70/relnotes_ja.html

チュートリアル等は今後日本語翻訳される予定です。

開発期間中はたくさんのフィードバックありがとうございました。
今度もどうぞよろしくお願いいたします。

片貝
Reply | Threaded
Open this post in threaded view
|

Re: 日本語 NetBeans 7.0 を公開しました

masa henmi
こんにちは。逸見です。

自宅PCに7.0入れてみましたよ。
(会社PCはまだ6.7.1を使うつもりですが)

JavaもEA の7を入れてみました。EAだと、ちょっと不安な感じがしましたが、
今のところちゃんと動いています。

OSはwindows7 proの32bitです。

1年ぐらい前にSUNのトレーニングで(NetBeans6.5)習ったWebServiceの作成をやってみました。
glassfishサーバも正式版になっていて、少しとまどいましたが5分以内に
簡単なWebService作れちゃいました。

こういうのは、すごいですねー。NetBeansの優れた点だと思います。
(J2EEの学習には最適です)

今回7.0を入れてみたいと思ったのはWebLogicのサポートの文字が見えたからです。

WebLogicは会社で使っているのですが、Eclipseが付属していたのが、どうも好きになれず(^^;)
今回NetBeansがサポートしてくれるみたいなので、大変うれしく思っています。

ところで、質問があります。

以前片貝さんに教えてもらったXMLのサポートなのですが
7.0のURLは

http://netbeans.org/downloads/zip.html

ここであっていますでしょうか。

XMLの追加機能が見当たらなく、残念です。
もうなくなってしまったのでしょうか。

NetBeans6.5についていたXSD(XMLスキーマ)を編集する画面が気に入っていたので
7.0でも使いたいです。

プロジェクトのところで右クリックして、新規→その他を選んで、
XMLのカテゴリの中に、XMLスキーマと表示されるようにしたいのです


よろしくお願いします。



| みなさま、
|
| NetBeans 7.0 が正式にリリースされました。日本語版も同時リリースです。
|
| ダウンロード
|  http://netbeans.org/downloads/index.html
|
| 詳細は以下のリリース情報をご覧下さい。
|
| NetBeans IDE 7.0 リリース情報
|  http://netbeans.org/community/releases/70/index_ja.html
|
| NetBeans IDE 7.0のインストール
|  http://netbeans.org/community/releases/70/install_ja.html
|
| NetBeans IDE 7.0 リリースノート
|  http://netbeans.org/community/releases/70/relnotes_ja.html
|
| チュートリアル等は今後日本語翻訳される予定です。
|
| 開発期間中はたくさんのフィードバックありがとうございました。
| 今度もどうぞよろしくお願いいたします。
|
| 片貝


------------------------------------------------------------
NetBeans 最高!!
Reply | Threaded
Open this post in threaded view
|

Re: 日本語 NetBeans 7.0 を公開しました

Hiroshi Kubo
逸見さん,

From: masa henmi <[hidden email]>
Date: Fri, 29 Apr 2011 18:27:03 +0900

> XMLの追加機能が見当たらなく、残念です。
> もうなくなってしまったのでしょうか。
>
> NetBeans6.5についていたXSD(XMLスキーマ)を編集する画面が気に入っていたので
> 7.0でも使いたいです。
>
> プロジェクトのところで右クリックして、新規→その他を選んで、
> XMLのカテゴリの中に、XMLスキーマと表示されるようにしたいのです

似たようなことを片貝さんに相談したことがあります。そのときのスレッドの
一部を転記します。

From: Hiroshi Kubo <[hidden email]>
Date: Fri, 07 May 2010 23:26:07 +0900 (JST)

> 私が例にあげた NB 6.7.1にあって 6.8でなくなった機能の一つXML and
> Schema pluginは大きな機能がなくなったケースにあたるようです。NB 6.7.1の
> Release Notesにこれについて言及があります。ついさっき見つけました。
>
> NB 6.7.1 Release Notes
> http://netbeans.org/community/releases/67/relnotes.html
>
> この中に "UML, SOA and Visual Web Module Availability" という見出しの項
> があり,つぎのようにあります。
>
>>In order to focus our efforts on the latest and most popular developer
>>technologies, the UML, SOA and Visual Web modules in NetBeans have
>>been removed from the installer.
>
> 読んで悲しくなる内容です。なぜかSOAについては小項目 "Enabling SOA
> Functionality in the IDE" をたてて対策を示してくれています。UMLと
> Visual Webに関しては言及がありません。

---久保@横浜
Reply | Threaded
Open this post in threaded view
|

Re: 日本語 NetBeans 7.0 を公開しました

masa henmi
久保さん

逸見です。こんにちは。

情報ありがとうございました。


6.9までは、

http://netbeans.org/downloads/6.9.1/zip.html

の一番下
netbeans-6.9.1-201007282301-ml-xml.zip

にありました。

7.0から無くなってしまったのでしょうか?

それとも、リリースされたばかりが理由なのでしょうかね。

7.0.1とか7.1とかリリースされると、また復活したりとか
しないんでしょうかね?ちょっと期待しているんですが。


ORACLEさんになってから、色々あるのかも知れませんが、
有料にしてでも、いいものは残しておいて欲しいものです。

------------------------------------------------------------
Masahito Henmi   [hidden email]
I love netbeans 3.6 → 5.0 → 6.7 .
Reply | Threaded
Open this post in threaded view
|

Re: 日本語 NetBeans 7.0 を公開しました

katakai
逸見さん、久保さん、こんにちは。

NetBeans 7.0 の正式版からバンドルされていないモジュールの
クラスタを提供しなくなってしまったようですね。ソース自体は
残っているはずなので今後は自分でビルドするしかなさそうです。
(はっきりと聞いたわけではありません)

NetBeans 7.0 Beta 2 の時点のファイルならば以下にあります。
おそらくそのままで使えるのではないかと思います。

http://dlc.sun.com.edgesuite.net/netbeans/7.0/beta2/zip.html

片貝

05/01/11 20:36, masa henmi wrote:

> 久保さん
>
> 逸見です。こんにちは。
>
> 情報ありがとうございました。
>
>
> 6.9までは、
>
> http://netbeans.org/downloads/6.9.1/zip.html
>
> の一番下
> netbeans-6.9.1-201007282301-ml-xml.zip
>
> にありました。
>
> 7.0から無くなってしまったのでしょうか?
>
> それとも、リリースされたばかりが理由なのでしょうかね。
>
> 7.0.1とか7.1とかリリースされると、また復活したりとか
> しないんでしょうかね?ちょっと期待しているんですが。
>
>
> ORACLEさんになってから、色々あるのかも知れませんが、
> 有料にしてでも、いいものは残しておいて欲しいものです。
>
> ------------------------------------------------------------
> Masahito Henmi   [hidden email]
> I love netbeans 3.6 → 5.0 → 6.7 .

Reply | Threaded
Open this post in threaded view
|

Re: 日本語 NetBeans 7.0 を公開しました

eiichi_maekawa
前川です。

下記から、rubyのzipをダウンロードし、解凍してみました。日付が、2011/02/14
でした。

7.0Beta2では、
http://dlc.sun.com.edgesuite.net/netbeans/updates/7.0/uc/beta/stable/catalog_ja.xml.gz
を設定して、インストールしましたが、ファイルの日付は、2011/02/25 でした。
これは、7.0でも、使えています。

perlは、無いのですね。pythonを下記で、見つけましたが、ビルド環境持ってない
ので、
使えないですね。(勉強の為に、入れてました。)

ご報告まで。

Masaki Katakai <[hidden email]> wrote on 2011/05/02 12:59:47:

> 逸見さん、久保さん、こんにちは。
>
> NetBeans 7.0 の正式版からバンドルされていないモジュールの
> クラスタを提供しなくなってしまったようですね。ソース自体は
> 残っているはずなので今後は自分でビルドするしかなさそうです。
> (はっきりと聞いたわけではありません)
>
> NetBeans 7.0 Beta 2 の時点のファイルならば以下にあります。
> おそらくそのままで使えるのではないかと思います。
>
> http://dlc.sun.com.edgesuite.net/netbeans/7.0/beta2/zip.html
>
> 片貝
>
> 05/01/11 20:36, masa henmi wrote:
> > 久保さん
> >
> > 逸見です。こんにちは。
> >
> > 情報ありがとうございました。
> >
> >
> > 6.9までは、
> >
> > http://netbeans.org/downloads/6.9.1/zip.html
> >
> > の一番下
> > netbeans-6.9.1-201007282301-ml-xml.zip
> >
> > にありました。
> >
> > 7.0から無くなってしまったのでしょうか?
> >
> > それとも、リリースされたばかりが理由なのでしょうかね。
> >
> > 7.0.1とか7.1とかリリースされると、また復活したりとか
> > しないんでしょうかね?ちょっと期待しているんですが。
> >
> >
> > ORACLEさんになってから、色々あるのかも知れませんが、
> > 有料にしてでも、いいものは残しておいて欲しいものです。
> >
> > ------------------------------------------------------------
> > Masahito Henmi   [hidden email]
> > I love netbeans 3.6 → 5.0 → 6.7 .
>

Reply | Threaded
Open this post in threaded view
|

起動時のJDKエラーメッセージ回避方法は?

eiichi_maekawa
前川です。

JDKのバージョンが1.6.0_21で、古かったので、1.6.0_25にアッ
プしたのですが、
起動時にエラーメッセージが、出ます。

回避方法について、教えてください。

1.O/S等のバージョン

製品バージョン: NetBeans IDE 7.0 (Build 201104080000)

Java: 1.6.0_25; Java HotSpot(TM) Client VM 20.0-b11

システム: x86 上で動作する Windows XP バージョン 5.1; MS932; ja_JP (nb)

ユーザーディレクトリ: C:\Documents and Settings\M118543\.netbeans\7.0

2.エラーメッセージ

Invalid jdkhome specified
Cannot java installation in specified jdkhome
D:\jdk1.6.0_21
Do you want to try to use default version?

3.補足

jdk1.6.0_21は、D:\jdk1.6.0_21 にインストールしましたが、1.6.0_25は、
C:\Program Files\Java\jdk1.6.0_25 にインストールしました。

よろしくお願いします。

Reply | Threaded
Open this post in threaded view
|

Re: 起動時のJDKエラーメッセージ回避方法は?

katakai
前川さん、

JDKを再インストールした場合はパスを指定しなおす必要があります。

  http://wiki.netbeans.org/FaqNetbeansConfJa

を参考にしてください。

おそらく、netbeans.conf に

netbeans_jdkhome="C:\Program Files\Java\jdk1.6.0_21"

と書かれているのだと思います。ここを 25 に変更してください。

この行をコメントアウトする方法もあります。そうすると
システムでデフォルトに設定してある JDK を使ってくれるはずです。

> Do you want to try to use default version?

を選んでもらっても同じ動作をすると思います。

片貝

05/17/11 13:14, 前川 映一 wrote:

> 前川です。
>
> JDKのバージョンが1.6.0_21で、古かったので、1.6.0_25にアッ
> プしたのですが、
> 起動時にエラーメッセージが、出ます。
>
> 回避方法について、教えてください。
>
> 1.O/S等のバージョン
>
> 製品バージョン: NetBeans IDE 7.0 (Build 201104080000)
>
> Java: 1.6.0_25; Java HotSpot(TM) Client VM 20.0-b11
>
> システム: x86 上で動作する Windows XP バージョン 5.1; MS932; ja_JP (nb)
>
> ユーザーディレクトリ: C:\Documents and Settings\M118543\.netbeans\7.0
>
> 2.エラーメッセージ
>
> Invalid jdkhome specified
> Cannot java installation in specified jdkhome
> D:\jdk1.6.0_21
> Do you want to try to use default version?
>
> 3.補足
>
> jdk1.6.0_21は、D:\jdk1.6.0_21 にインストールしましたが、1.6.0_25は、
> C:\Program Files\Java\jdk1.6.0_25 にインストールしました。
>
> よろしくお願いします。
>

Reply | Threaded
Open this post in threaded view
|

Rubyの切り替えについて

eiichi_maekawa
In reply to this post by eiichi_maekawa
前川です。


(Embedded image moved to file: pic22190.jpg)

ファイルをデバッグしようとした時に、複数のrubyのバージョンを使用してい
ますが、上述のように、
選択できない状態となります。

回避する方法がありましたら、ご教示ください。

Rubyは、以下を登録しています。


Ruby1.9.2-p290の違いは、

Ruby1.9.2-p290(gem1.5.2)と、Ruby1.9.2-p290(gem1.7.2)の違いです。

(Embedded image moved to file: pic01842.jpg)

pic22190.jpg (51K) Download Attachment
pic01842.jpg (115K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Rubyの切り替えについて

katakai
前川さん、こんにちは。

> 選択できない状態となります。

選択できる状態になったことがありますか?

試しているのですがプラットフォームを違う名前で複数登録
した状態でも選択できるようにはなりませんでした。

どのような条件でここは選べるようになるのでしょうね?


デバッグ時に切り替えることが頻繁でないのであれば、
プロジェクトプロパティーでプラットフォームを切り替えて
いただくのがよいかと思います。

片貝

08/22/11 16:14, [hidden email] wrote:

> 前川です。
>
>
> (Embedded image moved to file: pic22190.jpg)
>
> ファイルをデバッグしようとした時に、複数のrubyのバージョンを使用してい
> ますが、上述のように、
> 選択できない状態となります。
>
> 回避する方法がありましたら、ご教示ください。
>
> Rubyは、以下を登録しています。
>
>
> Ruby1.9.2-p290の違いは、
>
> Ruby1.9.2-p290(gem1.5.2)と、Ruby1.9.2-p290(gem1.7.2)の違いです。
>
> (Embedded image moved to file: pic01842.jpg)

Reply | Threaded
Open this post in threaded view
|

Re: Rubyの切り替えについて

eiichi_maekawa
片貝さん

早速の回答、ありがとうございます。

同じバージョンであれば、切り替えられるようになる場合もあります。

(Ruby1.9.2だけを複数登録すれば、切り替えられるようになることもありまし
た。)

> プロジェクトプロパティーでプラットフォームを切り替えて・・

という使い方にします。

ありがとうございました。



Masaki Katakai <[hidden email]> wrote on 2011/08/29 20:08:34:

> 前川さん、こんにちは。
>
> > 選択できない状態となります。
>
> 選択できる状態になったことがありますか?
>
> 試しているのですがプラットフォームを違う名前で複数登録
> した状態でも選択できるようにはなりませんでした。
>
> どのような条件でここは選べるようになるのでしょうね?
>
>
> デバッグ時に切り替えることが頻繁でないのであれば、
> プロジェクトプロパティーでプラットフォームを切り替えて
> いただくのがよいかと思います。
>
> 片貝
>
> 08/22/11 16:14, [hidden email] wrote:
> > 前川です。
> >
> >
> > (Embedded image moved to file: pic22190.jpg)
> >
> > ファイルをデバッグしようとした時に、複数のrubyのバージョンを使用し
てい

> > ますが、上述のように、
> > 選択できない状態となります。
> >
> > 回避する方法がありましたら、ご教示ください。
> >
> > Rubyは、以下を登録しています。
> >
> >
> > Ruby1.9.2-p290の違いは、
> >
> > Ruby1.9.2-p290(gem1.5.2)と、Ruby1.9.2-p290(gem1.7.2)の違いです。
> >
> > (Embedded image moved to file: pic01842.jpg)
>

Reply | Threaded
Open this post in threaded view
|

Re: Rubyの切り替えについて

eiichi_maekawa
In reply to this post by eiichi_maekawa
前川です。

NetBeans 6.9.1では、選択できるようです。

  (Embedded image moved to file: pic23404.jpg)



NetBeansの詳細は、

製品バージョン: NetBeans IDE 6.9.1 (Build 201011082200)
Java: 1.6.0_25; Java HotSpot(TM) Client VM 20.0-b11
システム: x86 上で動作する Windows XP バージョン 5.1; MS932; ja_JP (nb)
ユーザーディレクトリ: C:\Documents and Settings\********\.netbeans\6.9

です。

eiichi maekawa/MHI wrote on 2011/08/30 08:18:54:

> 片貝さん
>
> 早速の回答、ありがとうございます。
>
> 同じバージョンであれば、切り替えられるようになる場合もあります。
>
> (Ruby1.9.2だけを複数登録すれば、切り替えられるようになることもありまし
た。)
>
> > プロジェクトプロパティーでプラットフォームを切り替えて・・
>
> という使い方にします。

> ありがとうございました。
>
> 了
>
> Masaki Katakai <[hidden email]> wrote on 2011/08/29 20:08:34:
>
> > 前川さん、こんにちは。
> >
> > > 選択できない状態となります。
> >
> > 選択できる状態になったことがありますか?
> >
> > 試しているのですがプラットフォームを違う名前で複数登録
> > した状態でも選択できるようにはなりませんでした。
> >
> > どのような条件でここは選べるようになるのでしょうね?
> >
> >
> > デバッグ時に切り替えることが頻繁でないのであれば、
> > プロジェクトプロパティーでプラットフォームを切り替えて
> > いただくのがよいかと思います。
> >
> > 片貝
> >
> > 08/22/11 16:14, [hidden email] wrote:
> > > 前川です。
> > >
> > >
> > > (Embedded image moved to file: pic22190.jpg)
> > >
> > > ファイルをデバッグしようとした時に、複数のrubyのバージョンを使用
してい

> > > ますが、上述のように、
> > > 選択できない状態となります。
> > >
> > > 回避する方法がありましたら、ご教示ください。
> > >
> > > Rubyは、以下を登録しています。
> > >
> > >
> > > Ruby1.9.2-p290の違いは、
> > >
> > > Ruby1.9.2-p290(gem1.5.2)と、Ruby1.9.2-p290(gem1.7.2)の違いです。
> > >
> > > (Embedded image moved to file: pic01842.jpg)
> >

pic23404.jpg (54K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

【続】NetBeans7.0.1のアンインストールについて

eiichi_maekawa
In reply to this post by eiichi_maekawa
前川です。

お騒がせしました。

10分ぐらいしたら、アンインストールできる状態になりました。

===========================================================
前川です。

windows版のフルバージョンのNetBeansをインストールしたのですが、
重たくて、アンインストールしようとしても、インストーラを準備します の後、時間が
かかってますが、
どのくらい待てばいいのでしょうか??

とにかく、重たいです。

最悪、個別に削除しようとおもいますが、レジストリが気になります。

どのレジストリを削除すればよいのか、あわせて、ご教示いただければ、ありがた
いです。



Reply | Threaded
Open this post in threaded view
|

日本語の文字化けについて

eiichi_maekawa
In reply to this post by eiichi_maekawa
前川です。

Netbeans7.0.1で、ソースを表示したときに、日本語の部分が文字化けをおこ
します。

netbeans.conf ファイルを修正したのですが、変わりませんでした。

対処方法を教えてください。

修正は、-J-Dfile.encoding=windows-31j を追加しました。

・・・・・-J-Dsun.java2d.noddraw=true -J-Dfile.encoding=windows-31j

よろしくお願いします。

O/Sは、WINDOWS-XP です。

Reply | Threaded
Open this post in threaded view
|

Re: 日本語の文字化けについて

katakai
前川さん、

いくつか確認させてください。

- ファイルの種類はなんですか?
- ファイルはどこに存在しますか?NetBeans のプロジェクトの中にありますか?
- どのように作成されたファイルですか?エンコーディングはなんですか?
- プロジェクトプロパティーでのソースのエンコーディングは何に指定してありますか?
- NetBeans のフォント設定などは設定は変更していませんか?
- 常に発生しますか?それともその特定のファイルだけでしょうか?
- NetBeans の設定を新しくして (netbeans.conf の netbeans_default_userdir の
 設定を別フォルダに変更、あるいは設定が消えてもいいのであればそのフォルダを削除)
 再起動しても現象は変わりませんか?

よろしくお願いいたします。

片貝

12/06/11 16:23, [hidden email] wrote:

> 前川です。
>
> Netbeans7.0.1で、ソースを表示したときに、日本語の部分が文字化けをおこ
> します。
>
> netbeans.conf ファイルを修正したのですが、変わりませんでした。
>
> 対処方法を教えてください。
>
> 修正は、-J-Dfile.encoding=windows-31j を追加しました。
>
> ・・・・・-J-Dsun.java2d.noddraw=true -J-Dfile.encoding=windows-31j
>
> よろしくお願いします。
>
> O/Sは、WINDOWS-XP です。
>

Reply | Threaded
Open this post in threaded view
|

Re: 【続】NetBeans7.0.1のアンインストールについて

katakai
In reply to this post by eiichi_maekawa
前川さん、

アンインストールの準備は7.0 からたしかに遅くなりましたね。
アンインストールに必要な情報を集めているのでここはじっと
待つしかないんでしょうね。

レジストリについて質問がありましたが、

http://wiki.netbeans.org/NBIFAQ

に記述があるように Uninstall 以下の nbi-* を探せばよいようです。

アンインストーラが動かなかった場合やアンインストールに
なんらかの理由で失敗してしまった場合などはこの wiki を参考に

- ~/.nbi フォルダを削除
- インストールしたフォルダを削除
- Windowsの場合はレジストリの削除

で綺麗に削除できるようです。

ユーザー設定も削除する場合は ~/.netbeans 以下のフォルダも削除してください。

片貝

(2011/12/01 17:18), [hidden email] wrote:

> 前川です。
>
> お騒がせしました。
>
> 10分ぐらいしたら、アンインストールできる状態になりました。
>
> ===========================================================
> 前川です。
>
> windows版のフルバージョンのNetBeansをインストールしたのですが、
> 重たくて、アンインストールしようとしても、インストーラを準備します の後、時間が
> かかってますが、
> どのくらい待てばいいのでしょうか??
>
> とにかく、重たいです。
>
> 最悪、個別に削除しようとおもいますが、レジストリが気になります。
>
> どのレジストリを削除すればよいのか、あわせて、ご教示いただければ、ありがた
> いです。
>
> 了
>

Reply | Threaded
Open this post in threaded view
|

Re: 【続】NetBeans7.0.1のアンインストールについて

eiichi_maekawa
片貝さん

ありがとうございました。

もともとせっかちなので、待つ数分間が、待てなかったです。

次回からは、気長に待つことにします。



Masaki Katakai <[hidden email]> wrote on 2011/12/06 21:02:19:

> 前川さん、
>
> アンインストールの準備は7.0 からたしかに遅くなりましたね。
> アンインストールに必要な情報を集めているのでここはじっと
> 待つしかないんでしょうね。
>
> レジストリについて質問がありましたが、
>
> http://wiki.netbeans.org/NBIFAQ
>
> に記述があるように Uninstall 以下の nbi-* を探せばよいようです。
>
> アンインストーラが動かなかった場合やアンインストールに
> なんらかの理由で失敗してしまった場合などはこの wiki を参考に
>
> - ~/.nbi フォルダを削除
> - インストールしたフォルダを削除
> - Windowsの場合はレジストリの削除
>
> で綺麗に削除できるようです。
>
> ユーザー設定も削除する場合は ~/.netbeans 以下のフォルダも削除してくださ
い。

>
> 片貝
>
> (2011/12/01 17:18), [hidden email] wrote:
> > 前川です。
> >
> > お騒がせしました。
> >
> > 10分ぐらいしたら、アンインストールできる状態になりました。
> >
> > ===========================================================
> > 前川です。
> >
> > windows版のフルバージョンのNetBeansをインストールしたのですが、
> > 重たくて、アンインストールしようとしても、インストーラを準備します
>  の後、時間が
> > かかってますが、
> > どのくらい待てばいいのでしょうか??
> >
> > とにかく、重たいです。
> >
> > 最悪、個別に削除しようとおもいますが、レジストリが気になります。
> >
> > どのレジストリを削除すればよいのか、あわせて、ご教示いただければ、あり
がた
> > いです。
> >
> > 了
> >
>

Reply | Threaded
Open this post in threaded view
|

Re: 日本語の文字化けについて

eiichi_maekawa
In reply to this post by katakai

片貝さん

片貝さんの質問で、プロジェクトのプロパティ−> ソース−>エンコーディング
−>windows-31j

を設定し、開いていたソースファイルを閉じて、再度、開いたところ、文字化け解
消しました。

NetBeans の仕様を理解してなかったです。

ありがとうございました。

まだまだ、NetBeansは、よくわからないです。

わからない点が、出てくると思いますので、今後も、よろしくお願いします。

ありがとうございました。

Masaki Katakai <[hidden email]> wrote on 2011/12/06 19:34:51:

> 前川さん、
>
> いくつか確認させてください。
>
> - ファイルの種類はなんですか?
> - ファイルはどこに存在しますか?NetBeans のプロジェクトの中にありますか?
> - どのように作成されたファイルですか?エンコーディングはなんですか?
> - プロジェクトプロパティーでのソースのエンコーディングは何に指定して
> ありますか?
> - NetBeans のフォント設定などは設定は変更していませんか?
> - 常に発生しますか?それともその特定のファイルだけでしょうか?
> - NetBeans の設定を新しくして (netbeans.conf の netbeans_default_userdir

>  設定を別フォルダに変更、あるいは設定が消えてもいいのであればその
> フォルダを削除)
>  再起動しても現象は変わりませんか?
>
> よろしくお願いいたします。
>
> 片貝
>
> 12/06/11 16:23, [hidden email] wrote:
> > 前川です。
> >
> > Netbeans7.0.1で、ソースを表示したときに、日本語の部分が文字化けを
おこ

> > します。
> >
> > netbeans.conf ファイルを修正したのですが、変わりませんでした。
> >
> > 対処方法を教えてください。
> >
> > 修正は、-J-Dfile.encoding=windows-31j を追加しました。
> >
> > ・・・・・-J-Dsun.java2d.noddraw=true -J-Dfile.encoding=windows-31j
> >
> > よろしくお願いします。
> >
> > O/Sは、WINDOWS-XP です。
> >
>

Reply | Threaded
Open this post in threaded view
|

Netbeans7.0.1のRuby プラグインについて

eiichi_maekawa
In reply to this post by eiichi_maekawa
前川です。

Ruby1.8.7、Ruby1.9.2では、NetBeans7.0.1でデバッグ・実行は、問題ありま
せん。

Ruby1.9.3では、デバッグ・実行は、エラーとなります。

これは、Rubyのpluginが、1.9.3に対応できていないためでしょうか?

以前、Netbeans7は、Rubyは、対応しないと聞いたことが有りますが。

O/Sは、Windows-XP です。

よろしくお願いします。

Rubyを使用するために追加したプラグイン;;
URL:
http://dlc.sun.com.edgesuite.net/netbeans/updates/7.0/uc/beta/stable/catalog_ja.xml.gz

表示されたエラーメッセージ;;

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:130:
 [BUG] Segmentation fault
#<DBI::DatabaseHandle:0xf5f430>
#<DBI::StatementHandle:0xf5f208>
ruby 1.9.3p0 (2011-10-30) [i386-mingw32]

-- Control frame information
-----------------------------------------------
c:0009 p:---- s:0035 b:0035 l:000034 d:000034 CFUNC  :fetch_fields
c:0008 p:0093 s:0032 b:0032 l:000031 d:000031 METHOD
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:130
c:0007 p:0040 s:0024 b:0024 l:000018 d:000023 BLOCK
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:37
c:0006 p:0019 s:0022 b:0022 l:000021 d:000021 METHOD <internal:prelude>:10
c:0005 p:0029 s:0019 b:0019 l:000018 d:000018 METHOD
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:34
c:0004 p:0096 s:0014 b:0014 l:000013 d:000013 METHOD
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/handles/statement.rb:116
c:0003 p:0091 s:0010 b:0010 l:00220c d:0012a4 EVAL
D:/Apache2.2/htdocs/ruby_prg/em_ruby/em_db/dbi_mysql_connect2.rb:16
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:00220c d:00220c TOP

-- Ruby level backtrace information
----------------------------------------
D:/Apache2.2/htdocs/ruby_prg/em_ruby/em_db/dbi_mysql_connect2.rb:16:in
`<main>'
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/handles/statement.rb:116:in
 `execute'
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:34:in
 `execute'
<internal:prelude>:10:in `synchronize'
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:37:in
 `block in execute'
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:130:in
 `column_info'
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb:130:in
 `fetch_fields'

-- C level backtrace information
-------------------------------------------
C:\WINDOWS\system32\ntdll.dll(KiFastSystemCallRet+0x0) [0x7c94e514]
C:\WINDOWS\system32\kernel32.dll(WaitForSingleObject+0x12) [0x7c802542]
D:\Ruby193p0\bin\msvcrt-ruby191.dll(rb_vm_bugreport+0xf9) [0x62e5acc9]
D:\Ruby193p0\bin\msvcrt-ruby191.dll(rb_name_err_mesg_new+0x17a)
[0x62d3a68e]
D:\Ruby193p0\bin\msvcrt-ruby191.dll(rb_bug+0x2f) [0x62d3b3ef]
D:\Ruby193p0\bin\msvcrt-ruby191.dll(rb_check_safe_str+0x1a4) [0x62ded27c]
 [0x004011e6]
C:\WINDOWS\system32\kernel32.dll(UnhandledExceptionFilter+0x1c7)
[0x7c864191]

-- Other runtime information
-----------------------------------------------

* Loaded script:
D:/Apache2.2/htdocs/ruby_prg/em_ruby/em_db/dbi_mysql_connect2.rb

* Loaded features:

    0 enumerator.so
    1 D:/Ruby193p0/lib/ruby/1.9.1/i386-mingw32/enc/encdb.so
    2 D:/Ruby193p0/lib/ruby/1.9.1/i386-mingw32/enc/shift_jis.so
    3 D:/Ruby193p0/lib/ruby/1.9.1/i386-mingw32/enc/trans/transdb.so
    4 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/defaults.rb
    5 D:/Ruby193p0/lib/ruby/1.9.1/i386-mingw32/rbconfig.rb
    6 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/deprecate.rb
    7 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/exceptions.rb
    8 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/defaults/operating_system.rb
    9 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/custom_require.rb
   10 D:/Ruby193p0/lib/ruby/1.9.1/rubygems.rb
   11 D:/NetBeans7.0/NetBeans 7.0.1/NetBeans 7.0.1/ruby/sync-stdio.rb
   12 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/version.rb
   13 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/requirement.rb
   14 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/platform.rb
   15 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/specification.rb
   16 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/path_support.rb
   17 D:/Ruby193p0/lib/ruby/1.9.1/rubygems/dependency.rb
   18
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/deprecated-2.0.1/lib/deprecated.rb
   19 D:/Ruby193p0/lib/ruby/1.9.1/delegate.rb
   20 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/row.rb
   21 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/utils/date.rb
   22 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/utils/time.rb
   23
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/utils/timestamp.rb
   24
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/utils/xmlformatter.rb
   25
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/utils/tableformatter.rb
   26 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/utils.rb
   27 D:/Ruby193p0/lib/ruby/1.9.1/i386-mingw32/date_core.so
   28 D:/Ruby193p0/lib/ruby/1.9.1/date/format.rb
   29 D:/Ruby193p0/lib/ruby/1.9.1/date.rb
   30 D:/Ruby193p0/lib/ruby/1.9.1/time.rb
   31
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/sql/preparedstatement.rb
   32 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/sql.rb
   33 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/columninfo.rb
   34 D:/Ruby193p0/lib/ruby/1.9.1/i386-mingw32/bigdecimal.so
   35 D:/Ruby193p0/lib/ruby/1.9.1/rational.rb
   36 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/types.rb
   37 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/typeutil.rb
   38
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/sql_type_constants.rb
   39 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/exceptions.rb
   40 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/binary.rb
   41
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/handles/driver.rb
   42
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/handles/database.rb
   43
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/handles/statement.rb
   44 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/handles.rb
   45
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/base_classes/driver.rb
   46
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/base_classes/database.rb
   47
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/base_classes/statement.rb
   48
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi/base_classes.rb
   49 D:/Ruby193p0/lib/ruby/1.9.1/thread.rb
   50 D:/Ruby193p0/lib/ruby/1.9.1/monitor.rb
   51 D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbi-0.4.5/lib/dbi.rb
   52
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/mysql-2.8.2-x86-mingw32/lib/mysql.so
   53
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/driver.rb
   54
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/database.rb
   55
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/mysql/statement.rb
   56
D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/dbd-mysql-0.4.4/lib/dbd/Mysql.rb

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension
libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html


This application has requested the Runtime to terminate it in an unusual
way.
Please contact the application's support team for more information.



Reply | Threaded
Open this post in threaded view
|

XML Tools plugin(Re: Re: 日本語 NetBeans 7.0 を公開しました)

Hiroshi Kubo
In reply to this post by masa henmi
逸見さん,

古い話のつづきです。既にご存じかとも考えましたがご紹介します。私は昨日
だか一昨日だかに知ったばかりです。

From: masa henmi <[hidden email]>
Date: Sun, 01 May 2011 20:36:03 +0900

> 6.9までは、
>
> http://netbeans.org/downloads/6.9.1/zip.html
>
> の一番下
> netbeans-6.9.1-201007282301-ml-xml.zip
>
> にありました。
>
> 7.0から無くなってしまったのでしょうか?
>
> それとも、リリースされたばかりが理由なのでしょうかね。
>
> 7.0.1とか7.1とかリリースされると、また復活したりとか
> しないんでしょうかね?ちょっと期待しているんですが。

いつの間にやら XML Tools 6.0というpluginが使えるようになっています。
NetBeans 7.0.1 for Solaris Express 11で使っています。

PluginsのUpdate Centersにつぎを追加してインストールしました。
http://deadlock.netbeans.org/hudson/job/xml/lastSuccessfulBuild/artifact/build/updates/updates.xml

これを教えてくれたのはSang Shinによる"Web Services Programming"コースの
"XML Schema"セッションで提供されている Lab Exercisesリソースです。URLは
下記ですが,アクセスには購読料払込が必要です。

http://www.javapassion.com/portal/web-services-programming-with-passion/web-services-programming-with-passion

---久保@横浜
12